API Reference
Add onboarding flow information
/v1/retail/onboarding_flow https://api.cable.tech Retail endpoint for adding new Onboarding Flow information
Authentication
- API key in the x-api-key header
Request body
Request body for adding Onboarding Flow information for a parent entity
-
timestampstring requiredOriginal timestamp relating to this onboarding flow information creation/change
Format
date-time -
dataobject required-
flow_namestring requiredLatest onboarding flow that this entity has gone through, e.g. manual KYC, automated onboarding, Simplified Due Diligence, Enhanced Due Diligence
Example
Manual KYC -
outcomestring requiredOutcome for the latest onboarding flow that this entity has gone through, e.g. automated approval, manual approval, automated rejection, manual rejection, EDD required
Example
automated approval -
outcome_reasonstring | objectOption 1: string
Option 2: object
-
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject